/**
 * ==========================================================
 * Smart Attendance System
 * JWT Utility
 * ==========================================================
 */

const jwt =
require("jsonwebtoken");

const Config =
require("../../../config/app.config");

class Jwt{

    generate(user){

        return jwt.sign(

            {

                id:user.id,

                username:user.username,

                role_id:user.role_id

            },

            Config.jwt.secret,

            {

                expiresIn:

                Config.jwt.expiresIn

            }

        );

    }

    verify(token){

        return jwt.verify(

            token,

            Config.jwt.secret

        );

    }

}

module.exports =

new Jwt();